Skip to main content
GET
/
settlements
/
items
/
{id}
Show a single settlement item
curl --request GET \
  --url https://commerce1.on-hellgate.dev/settlements/items/{id} \
  --header 'X-API-Key: <api-key>'
{
  "date": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "OPENING_BALANCE",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commission": 123,
  "fee_type": "<string>",
  "gross_credit_amount": 123,
  "gross_debit_amount": 123,
  "net_credit_amount": 123,
  "net_debit_amount": 123,
  "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Settlement Item ID

Response

Success

date
string<date-time>
required
id
string<uuid>
required
settlement_report_id
string<uuid>
required
type
enum<string>
required
Available options:
OPENING_BALANCE,
PAYMENT,
REFUND,
CHARGEBACK,
COMMISSION,
FEE,
OTHER,
REJECT,
PAYOUT,
CLOSING_BALANCE
account_id
string<uuid>
commission
integer
fee_type
string
gross_credit_amount
integer
gross_debit_amount
integer
net_credit_amount
integer
net_debit_amount
integer
payment_id
string<uuid>